<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Budget</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
    <h1>
        Budget Porsion
        <small>List Data</small>
    </h1>
    <ol class="breadcrumb">
        <li class="treeview active"> Setting</li>
        <li class="active"> Budget Porsion</li>
    </ol>
</section>

<section layout:fragment="main" class="content">
    <div class="row">
        <div class="col-md-12">

            <div class="callout callout-success" th:if="${success != null}">
                <h4>Save Data Success!</h4>

                <p>Data Berhasil Disimpan.</p>
            </div>

            <div class="callout callout-danger" th:if="${gagal != null}">
                <h4>Save Data Unsuccesfully!</h4>

                <p>Data Tidak dapat dihapus karena ada anggaran aktif di dalamnya. hapus anggaran terlebih dahulu sebelum menghapus departemen ini..</p>
            </div>

            <div class="box">
                <form method="get">
                    <div class="box-header with-border">
                        <div class="row">
                            <div class="col-md-6">
                                <h3 class="box-title">List of Detail Budget</h3>
                            </div>

                        </div>
                    </div>

                    <div class="box-header with-border">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="periodeAnggaran" class="col-sm-2 control-label">Period</label>

                                    <div class="col-sm-8">
                                        <select class="form-control select2" name="periodeAnggaran" id="periodeAnggaran" style="width: 100%;">
                                            <option th:each="data : ${periodeAnggaran}"
                                                    th:selected="(${data} == *{periodeAggaranSelected})"
                                                    th:text="${'('+ data.kodePeriodeAnggaran +')'  + '       -       ' +  data.namaPeriodeAnggaran}"
                                                    th:value="${data.id}">sdasd</option>
                                        </select>
                                    </div>

                                    <div class="col-sm-2">
                                        <button type="submit" class="btn btn-default">Chose</button>
                                    </div>
                                </div>
                            </div>



                            <div class="col-md-6" align="right">
                                <div class="input-group input-group-sm" style="width: 150px;">
                                    <input type="text" name="search" class="form-control pull-right" th:value="${search}" placeholder="Search">
                                    <div class="input-group-btn">
                                        <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                </form>
                <!-- /.box-header -->


                <div class="box-body table-responsive no-padding">
                    <table class="table table-bordered">
                        <tr>
                            <th style="width: 10px">#</th>
                            <th>Department</th>
                            <th>Code</th>
                            <th>Budget</th>
                            <th>Description</th>
                            <th>Total</th>
                            <th style="width: 400px">Porsion</th>
                        </tr>
                        <tr th:each="dataDetailAnggaranPorsi,row : ${listDetalAnggaranPorsi}">
                            <td th:text="${row.index + 1}">1.</td>

                            <td th:text="${dataDetailAnggaranPorsi[1]}">BEASISWA</td>
                            <td th:text="${dataDetailAnggaranPorsi[2]}">Pendapatan dari Beasiswa</td>
                            <td th:text="${dataDetailAnggaranPorsi[3]}">-</td>
                            <td th:text="${dataDetailAnggaranPorsi[4]}">AKTIF</td>
                            <td th:text="${dataDetailAnggaranPorsi[5]}">AKTIF</td>
                            <td>
                                <p style="white-space: pre-wrap" th:utext="${dataDetailAnggaranPorsi[6]}"></p>
                                <a th:href="@{/setting/anggaran/porsi/detail(anggaranDetail = ${dataDetailAnggaranPorsi[0]})}" class="btn btn-xs btn-primary">Add</a>
                                <a th:href="@{/setting/anggaran/porsi/edit(anggaranDetail = ${dataDetailAnggaranPorsi[0]})}" class="btn btn-xs btn-success">Edit</a>
                                <a th:href="@{#}" class="btn btn-xs btn-danger">Delete</a>
                            </td>
                        </tr>

                        <tr>
                            <th style="width: 10px">#</th>
                            <th>Department</th>
                            <th>Code</th>
                            <th>Budget</th>
                            <th>Description</th>
                            <th>Total</th>
                            <th>Porsion</th>
                        </tr>
                    </table>
                </div>
                <!-- /.box-body -->
                <div class="box-footer clearfix">
<!--                    <ul class="pagination pagination-sm no-margin pull-right" sd:pagination="full">-->
<!--                        <li class="disabled"><a href="#" aria-label="Previous"><span-->
<!--                                aria-hidden="true">&laquo;</span></a>-->
<!--                        </li>-->
<!--                        <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>-->
<!--                        </li>-->
<!--                    </ul>-->
                </div>
            </div>
            <!-- /.box -->
        </div>
    </div>
</section>
</body>
</html>